commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject Re: Version number for next commons-io
Date Sat, 19 Sep 2015 12:34:55 GMT
On 19 September 2015 at 13:33, sebb <sebbaz@gmail.com> wrote:
> On 19 September 2015 at 12:58, Kristian Rosenvold <krosenvold@apache.org> wrote:
>> Just to be clear on this, the breach is adding an interface to
>>
>> org.apache.commons.io.input.TailerListener#endOfFileReached
>> and will probably only affect a few users. I'm documenting this in
>> release notes.
>
> This is binary compatible; it will only affect users who have written
> classes implementing the interface.

... who will have to update their source and recompile.

>
>> Personally I'd say this is 2.5 simply due to its very limited impact,
>
> +1
>
>> but version numbers are cheap :)
>>
>> Kristian
>>
>>
>>
>> 2015-09-19 12:32 GMT+02:00 Kristian Rosenvold <krosenvold@apache.org>:
>>> The next release is binary compatible except for *1* method that has
>>> been added to a (fairly infrequently used) interface. Does that still
>>> mean I should burn 2.5 and go for 3.0. And would that be 3.0 or 3.0.0
>>> ?
>>>
>>> Kristian
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
>> For additional commands, e-mail: dev-help@commons.apache.org
>>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message